Page MenuHomePhabricator

cosmetic changes must not remove useless spaces inside templates
Closed, ResolvedPublic

Details

Reference
bz61024
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:06 AM
bzimport set Reference to bz61024.
Xqt created this task.Feb 7 2014, 12:50 PM
jayvdb added a subscriber: jayvdb.Nov 30 2014, 4:08 PM

Does this also apply to core?

XZise added a subscriber: XZise.Nov 30 2014, 4:31 PM

I'd guess not so: CosmeticChangesToolkit.removeUselessSpaces should not replace spaces inside of templates.

Xqt set Security to None.
JAnD added a subscriber: JAnD.Feb 27 2015, 9:18 PM

This behavior should be optional - for cs.wiki I want to remove "useless" spaces

Xqt added a comment.May 18 2015, 3:42 AM

'template' is in the exceptions list; maybe the exceptions regex doesn't work as expected for templates

Xqt added a comment.May 18 2015, 3:52 AM

The affected edit was https://de.wikipedia.org/w/index.php?title=Uran&diff=127298985&oldid=127121719
Are there still problems with nested templates?

Change 224301 had a related patch set uploaded (by Xqt):
Deactivate removeUselessSpaces due to several bugs

https://gerrit.wikimedia.org/r/224301

The replaceExcept 'template' handler was rewritten in 13cd73de7ac9244f67bc33a27e7278b9d48abbd3#3e3bbe17, and the 'nested' part is no longer complicated.

Change 226531 had a related patch set uploaded (by John Vandenberg):
Reduce complexity of NESTED_TEMPLATE_REGEX

https://gerrit.wikimedia.org/r/226531

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 3:09 PM

Change 224301 abandoned by Xqt:
Deactivate removeUselessSpaces due to several bugs

https://gerrit.wikimedia.org/r/224301

Change 226531 merged by jenkins-bot:
Fix NESTED_TEMPLATE_REGEX

https://gerrit.wikimedia.org/r/226531

Xqt closed this task as Resolved.Jul 29 2015, 4:06 AM
Xqt reopened this task as Open.Jul 15 2016, 12:23 PM

Reopened again. It doesn't work for nested templates.

Change 299137 had a related patch set uploaded (by Xqt):
Deactivate removeUselessSpaces due to several bugs

https://gerrit.wikimedia.org/r/299137

Change 299137 merged by jenkins-bot:
Deactivate removeUselessSpaces due to several bugs

https://gerrit.wikimedia.org/r/299137

Xqt raised the priority of this task from Medium to High.Jul 18 2016, 4:25 AM
Dvorapa added a comment.EditedJul 18 2016, 8:46 PM

@Xqt @jayvdb : Is this broken only in compat? Because "Deactivate removeUselessSpaces due to several bugs" commit applied to core too, but there is compat 1.0 in the description at the top of this page

matej_suchanek updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 18 2017, 3:54 PM

@Xqt This seems solved as in cosmetic_changes there is already a code for this and there seems to be no more problems with nested template regex, right?

Dvorapa changed the task status from Open to Stalled.May 20 2018, 2:09 PM
Xqt closed this task as Resolved.May 21 2018, 7:04 AM

Seem solved